%define upstream_name	 BerkeleyDB
%define upstream_version 0.64

# Don't "provide" private Perl libs
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module for BerkeleyDB 2.x and greater
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/BerkeleyDB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: db-devel
BuildRequires: perl-devel
%description
BerkeleyDB is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 2 or greater. (Note: if
you want to use version 1 of Berkeley DB with Perl you need the DB_File
module).

Berkeley DB is a C library which provides a consistent interface to a
number of database formats. BerkeleyDB provides an interface to all
four of the database types (hash, btree, queue and recno) currently
supported by Berkeley DB.

For further details see the documentation in the file BerkeleyDB.pod.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/*pl
%{perl_vendorarch}/BerkeleyDB*
%{perl_vendorarch}/auto/BerkeleyDB
%{_mandir}/*/*

%changelog
* Fri Sep 18 2020 tv <tv> 0.640.0-1.mga8
+ Revision: 1628508
- update to 0.64

* Wed Jun 17 2020 umeabot <umeabot> 0.630.0-4.mga8
+ Revision: 1594302
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.630.0-3.mga8
+ Revision: 1529413
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.630.0-2.mga8
+ Revision: 1433356
- rebuild for perl 5.30

* Sun Jul 21 2019 tv <tv> 0.630.0-1.mga8
+ Revision: 1423351
- update to 0.63

* Sun Mar 31 2019 tv <tv> 0.610.0-1.mga7
+ Revision: 1383260
- update to 0.61

* Fri Sep 21 2018 umeabot <umeabot> 0.550.0-10.mga7
+ Revision: 1292364
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 0.550.0-9.mga7
+ Revision: 1248955
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.550.0-8.mga7
+ Revision: 1163158
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.550.0-7.mga7
+ Revision: 1148653
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.550.0-6.mga7
+ Revision: 1126681
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.550.0-5.mga6
+ Revision: 1022697
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.550.0-4.mga6
+ Revision: 956768
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 0.550.0-3.mga6
+ Revision: 846057
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 0.550.0-2.mga6
+ Revision: 844740
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 0.550.0-1.mga6
+ Revision: 841912
- New version 0.55 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 0.540.0-5.mga5
+ Revision: 746828
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.540.0-4.mga5
+ Revision: 732010
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.540.0-3.mga5
+ Revision: 683600
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.540.0-2.mga5
+ Revision: 630836
- Rebuild for perl 5.20

* Fri Feb 07 2014 sander85 <sander85> 0.540.0-1.mga5
+ Revision: 585626
- update to 0.54

* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 532107
- Mageia 4 Mass Rebuild

* Fri Aug 16 2013 sander85 <sander85> 0.530.0-1.mga4
+ Revision: 466971
- update to 0.53

* Wed May 29 2013 jquelin <jquelin> 0.510.0-5.mga4
+ Revision: 430554
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.510.0-4.mga3
+ Revision: 363362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 fwang <fwang> 0.510.0-3.mga3
+ Revision: 276381
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 0.510.0-2.mga3
+ Revision: 274840
- rebuild for db

* Tue Jun 05 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 254578
- update to 0.51

* Wed May 30 2012 jquelin <jquelin> 0.500.0-2.mga3
+ Revision: 250285
- rebuild for perl 5.16

* Sun Dec 11 2011 kharec <kharec> 0.500.0-1.mga2
+ Revision: 180594
- update to 0.50
+ jquelin <jquelin>
- update to 0.49

* Tue Jun 21 2011 jquelin <jquelin> 0.480.0-1.mga2
+ Revision: 111597
- update to 0.48

* Sat Jun 11 2011 sander85 <sander85> 0.430.0-3.mga2
+ Revision: 103545
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.430.0-2.mga1
+ Revision: 23288
- rebuild for perl 5.12

* Wed Jan 12 2011 jquelin <jquelin> 0.430.0-1.mga1
+ Revision: 7076
- imported package perl-BerkeleyDB

